# DMChooser Struct Reference

Choose a state accordingly to an heuristic. More...

List of all members.

## Public Member Functions

template<class Auto_ >
Auto_::hstate_t | operator() (const Auto_ &a) const

## Detailed Description

Choose a state accordingly to an heuristic.

See also:
  CIAA 2004, "Approximation to the Samllest Regular Expression for a Given Regular Language" by M. Delago et J. Morais

Definition at line 130 of file aut_to_exp.hh.

## Member Function Documentation

Auto_::hstate_t operator() | ( | const Auto_ & | a | ) | const

Precondition:
  a must not be the empty automaton.

Definition at line 172 of file aut_to_exp.hxx.